[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# tagLOGBRUSH

Description of a Brush.

## Declaration

Source position: lcltype.pp line 2398

`type tagLOGBRUSH = record`
`lbStyle: LongWord;` |  | The brush style, e.g. BS_SOLID or BS_HATCHED.
`lbColor: TColorRef;` |  | The brush color, a TColorRef for BS_SOLID or BS_HATCHED.
`lbHatch: PtrUInt;` |  | Polymorphic, depending on lbStyle. With style BS_HATCHED lbHatch is a pattern constant, e.g. HS_VERTICAL.
`end;`

## Description

A brush has a color and a pattern.

The content of lbColor and lbHatch varies, depending on lbStyle.

When a drawing function fills an area, using the current brush, a BS_HOLLOW brush can be used to suppress filling.

## See also

BS_SOLID |  |
HS_HORIZONTAL |  |
CreateBrushIndirect |  | Creates a brush object (bitmap).